Package org.silverpeas.components.gallery.process.media

## Class GalleryLoadMetaDataProcess

- java.lang.Object
- - org.silverpeas.core.process.AbstractProcess<C>
  - - org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
    - - org.silverpeas.components.gallery.process.media.GalleryLoadMetaDataProcess

- All Implemented Interfaces:
    `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`

      public class GalleryLoadMetaDataProcess
      extends org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>

  Process to load metadata of a photo
  Author:
    Yohann Chastagnier

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `load​(InternalMedia media)` | Method to call to load MetaData
    `void` | `processFiles​(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session, org.silverpeas.core.process.io.file.FileHandler fileHandler)` |

    - ### Methods inherited from class org.silverpeas.core.process.management.AbstractFileProcess

      `getProcessType, process`

    - ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

      `onFailure, onSuccessful`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### load

          public static void load​(InternalMedia media)
                           throws Exception

      Method to call to load MetaData
      Parameters:
        `media` -
      Throws:
        `Exception`

    - #### processFiles

          public void processFiles​(org.silverpeas.core.process.management.ProcessExecutionContext context,
                                   org.silverpeas.core.process.session.ProcessSession session,
                                   org.silverpeas.core.process.io.file.FileHandler fileHandler)
                            throws Exception

      Specified by:
        `processFiles` in class `org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Throws:
        `Exception`